extends Control

var debug_title_node
var debug_text_node

func _ready() -> void:
	debug_title_node = find_child("ErrorTitle")
	debug_text_node = find_child("ErrorText")
	assert(debug_title_node != null)
	assert(debug_text_node != null)
	hide()

func show_debug_text(info_text: String):
	debug_text_node.text = info_text
	show()
	
func hide_debug_text():
	hide()
